Create Campaign

Create a new campaign in your workspace.

POST https://api.platica.mx/v1/campaigns

Request Body

{
  "title": "Promo Verano 2026",
  "category": "marketing",
  "platform": "whatsapp",
  "templateName": "promo_verano_2026",
  "owners": ["marketing@empresa.com", "crm@empresa.com"]
}

Body parameters

ParameterTypeDescriptionRequirementDefault
titlestringCampaign title (unique within the workspace)required-
categorystringCategory: "marketing" or "utility"required-
platformstringSend platformoptional"whatsapp"
templateNamestringName of the Meta/WhatsApp template (validated against the workspace)optional-
messagestringMessage associated with the campaignoptional-
templatestringSerialized representation of the templateoptional-
languagestringTemplate languageoptional-
templateLanguagestringOriginal language of the validated templateoptional-
wabaIdstringAssociated WABAoptional-
ownersstring[]List of responsible-user emailsoptional[]

Response 201 Created

{
  "status": "success",
  "message": "Campaign created successfully",
  "data": {
    "id": "pV6PvG2lc8ChQb2VmETr",
    "title": "Promo Verano 2026",
    "category": "marketing",
    "platform": "whatsapp",
    "templateName": "promo_verano_2026",
    "owners": ["marketing@empresa.com", "crm@empresa.com"],
    "language": "es_MX",
    "templateLanguage": "es_MX",
    "wabaId": "waba_xyz",
    "creationDate": "2026-03-02T21:33:36.049Z",
    "lastUpdate": "2026-03-02T21:33:36.050Z"
  }
}